Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.statsvn.util.svnkit
Class SvnKitPropget

    java.lang.Object
      net.sf.statsvn.util.SvnPropgetUtils
          net.sf.statsvn.util.svnkit.SvnKitPropget

All Implemented Interfaces:
  ISvnPropgetProcessor

public class SvnKitPropget
extends SvnPropgetUtils

Uses svnkit to do svn propget.

Author:
  jkealey, yogesh

Nested Class Summary
`protected class` | `SvnKitPropget.SvnKitPropertyHandler`

Field Summary

Fields inherited from class net.sf.statsvn.util.SvnPropgetUtils
`binaryFiles, processor`

Constructor Summary
`SvnKitPropget(ISvnProcessor processor)`

Method Summary
`List` | `getBinaryFiles()` Returns the list of binary files in the working directory.
`File` | `getCheckoutDirectory()`
`org.tmatesoft.svn.core.wc.SVNClientManager` | `getManager()`
`SvnKitProcessor` | `getSvnKitProcessor()`
`protected void` | `handleSvnException(org.tmatesoft.svn.core.SVNException ex)`
`protected boolean` | `isBinary(org.tmatesoft.svn.core.wc.SVNPropertyData data)`
`boolean` | `isBinaryFile(String revision, String filename)` It was first thought that a the mime-type of a file's previous revision could be found.

Methods inherited from class net.sf.statsvn.util.SvnPropgetUtils
`getBinaryFilename, getFileMimeTypes, getFileMimeTypes, getProcessor, loadBinaryFiles, loadBinaryFiles`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SvnKitPropget

    public SvnKitPropget(ISvnProcessor processor)

Method Detail

### getBinaryFiles

    public List getBinaryFiles()

  Description copied from interface: `ISvnPropgetProcessor`
  Returns the list of binary files in the working directory.

  Specified by:
    `getBinaryFiles` in interface `ISvnPropgetProcessor`
  Overrides:
    `getBinaryFiles` in class `SvnPropgetUtils`

### getCheckoutDirectory

    public File getCheckoutDirectory()

### getManager

    public org.tmatesoft.svn.core.wc.SVNClientManager getManager()

### getSvnKitProcessor

    public SvnKitProcessor getSvnKitProcessor()

### handleSvnException

    protected void handleSvnException(org.tmatesoft.svn.core.SVNException ex)
                               throws IOException

  Throws:
    `IOException`

### isBinary

    protected boolean isBinary(org.tmatesoft.svn.core.wc.SVNPropertyData data)

### isBinaryFile

    public boolean isBinaryFile(String revision,
                                String filename)

  Description copied from interface: `ISvnPropgetProcessor`
  It was first thought that a the mime-type of a file's previous revision could be found. This is not the case. Leave revision null until future upgrade of svn propget command line.

  Specified by:
    `isBinaryFile` in interface `ISvnPropgetProcessor`
  Overrides:
    `isBinaryFile` in class `SvnPropgetUtils`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD